GET
/api/v1/vpc/list/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/vpc/list/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/vpc/list/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/vpc/list/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”page_no
integer
The page number from which you want your page search results to be displayed.
per_page
integer
Number of results per page
project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
code
integer
data
Array<object>
object
name
string
network_id
integer
is_active
boolean
created_at
string format: date-time
network_mask
string
ipv4_cidr
string
vm_count
integer
dns
string
gateway_ip
string
pool_size
integer
gateway_node
object
node_name
string
node_id
integer
ip_address_public
string
ip_address_private
string
state
string
state
string
project_name
string
errors
object
key
additional properties
message
string
total_page_number
integer
total_count
integer
Example
{ "code": 200, "data": [ { "name": "VPC-270", "network_id": 16791, "is_active": true, "created_at": "2023-10-11T09:21:14.219406Z", "network_mask": "255.255.254.0", "ipv4_cidr": "10.15.86.0/23", "vm_count": 0, "dns": "8.8.8.8 8.8.4.4", "gateway_ip": "10.15.86.1", "pool_size": 512, "gateway_node": { "node_name": "VPC-270-gateway", "node_id": 147276, "ip_address_public": "164.52.208.104", "ip_address_private": "10.15.86.1", "state": "Done" }, "state": "Active", "project_name": "default-project-17976" } ], "message": "Success", "total_page_number": 1, "total_count": 1}